---
updatedAt: 2026-06-04T15:53:53.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# Users

View, create, update and manage users associated with your account or your client accounts. 

## GET /users

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Description
      </td>

      <td style={{ textAlign: "left" }}>
        Get a list of all the users in the company or client account.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Resource URL
      </td>

      <td style={{ textAlign: "left" }}>
        [https://app.klipfolio.com/api/1.0/users](https://app.klipfolio.com/api/1.0/users)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Parameters
      </td>

      <td style={{ textAlign: "left" }}>
        optional: client_id (string) — show only users belonging to a specific client

        email (string) — search for a user by email address  
        external_id (string) — show only users that have the specified external_id  
        full (true/false) — include associations (tab_instances, properties) (only works when specifying external_id)  
        include_roles (true/false) — include the user’s roles  
        include_groups (true/false) — include the user’s groups
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Get users
GET https://app.klipfolio.com/api/1/users
```
```Text Client get users
GET https://app.klipfolio.com/api/1/users?client_id=0123456789abcdef0123456789abcdef
```
```Text Get users, include groups and roles
GET https://app.klipfolio.com/api/1/users?include_groups=true&include_roles=true
```

## Example Response

```
{
   "data": {
       "users": [
           {
               "id": "ab05f4a011e6a93fb307f4e3e970c3c0",
                "first_name": "Trial",
                "last_name": "User",
                 "email": "jdoe@klipfolio.com",
                 "date_last_login": "2016-06-03T17:05:54Z"
           }
       ]
   },
   "meta": {
       "status": 200,
       "success": true
   }
}
```

## GET /users/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Get details for the specified user in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/users/\{id}](https://app.klipfolio.com/api/1.0/users/\{id})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        user id  
        full (true/false) — include associations (tab_instances, groups, roles, properties)  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Get specific user
GET https://app.klipfolio.com/api/1/users/0123456789abcdef0123456789abcdef
```
```Text Get specific user's full details
GET https://app.klipfolio.com/api/1/users/0123456789abcdef0123456789abcdef?full=true
```
```Text Client get specific user
GET https://app.klipfolio.com/api/1/users/0123456789abcdef0123456789abcdef?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "id": "c17db511dbc00421d0a093fc8c236064",
    "company": "Hello",
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "Doe+12@klipfolio.com",
    "date_last_login": "2016-06-17T18:12:11Z",
    "date_created": "2016-06-17T18:12:06Z",
    "is_locked_out": false,
    "tab_instances": [
      "a46d2e3fb99072c19f7997128e3e6f66",
      "b8b305c4ba9287b7fbabc40831744444"
    ],
    "groups": [
      {
        "id": "0016c12db53a58901bf19fd5e285c438",
        "name": "Trial Users"
      }
    ],
    "roles": [
      "26a3d3fb4cd6bf23d35b4126be26e5f3"
    ],
    "properties": {}
  }
}
```

## POST /users

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Create a new user, optionally for a client.  
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1/users](https://app.klipfolio.com/api/1/users) or  
        [https://app.klipfolio.com/api/1/users?send_email=true](https://app.klipfolio.com/api/1/users?send_email=true)
      </td>
    </tr>

    <tr>
      <td>
        Fields
      </td>

      <td>
        first_name, last_name, roles, email, password (optional), external_id (optional), client_id (optional), send_email (default is false).
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

**Note:** Optionally include 'client\_id' in the post data to create a user for a client, optionally include ‘external\_id’ in the post data to add an external id to the new user, optionally include 'password' in the post data to set the password, optionally include ?send\_email=true in the post data to send a welcome email to the user.

```Text Create user
POST https://app.klipfolio.com/api/1/users -d 
{
'first_name': 'Jane', 
'last_name': 'Doe', 
'email': 'jdoe@klipfolio.com', 
'roles': ['0123456789abcdef0123456789abcdef'],
'password': 'tempPassword'
}
```
```Text Create user, send welcome email
POST https://app.klipfolio.com/api/1/users?send_email=true -d 
{
'first_name': 'Jane', 
'last_name': 'Doe', 
'email': 'jdoe@klipfolio.com', 
'roles': ['0123456789abcdef0123456789abcdef']
}
```
```Text Client create user
POST https://app.klipfolio.com/api/1/users -d 
{
'client_id': '0123456789abcdef0123456789abcdef', 
'first_name': 'Jane', 
'last_name': 'Doe', 
'email': 'jdoe@klipfolio.com', 
'roles': ['0123456789abcdef0123456789abcdef'],
'password': 'tempPassword'
}
```

## Example Response

```
{
   "data": {},
   "meta": {
       "location": "/users/0123456789abcdef0123456789abcdef",
       "status": 201,
       "success": true
   }
}
```

## PUT /users/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Update the specified user in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/users](https://app.klipfolio.com/api/1.0/users)
      </td>
    </tr>

    <tr>
      <td>
        Fields
      </td>

      <td>
        first_name, last_name, external_id, email  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request (only fields to be updated need to be sent)

```Text Update user details
PUT https://app.klipfolio.com/api/1/users/0123456789abcdef0123456789abcdef -d 
{
'first_name': 'Janet'
}
```
```Text Client update user details
PUT https://app.klipfolio.com/api/1/users/0123456789abcdef0123456789abcdef?client_id=0123456789abcdef0123456789abcdef -d 
{
'first_name': 'Janet'
}
```

## Example Response

```
{
   "data": {},
   "meta": {
       "status": 200,
       "success": true
   }
}
```

## DELETE /users/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Delete the specified user in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1/users](https://app.klipfolio.com/api/1/users)
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        user id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Delete user
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210
```
```Text Client delete user
DELETE https://app.klipfolio.com/api/1/users/fedcba9876543210fedcba9876543210?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
   "data": {},
   "meta": {
       "status": 200,
       "success": true
   }
}
```